Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.landlord
Class LandlordProxyVerifier

    java.lang.Object
      com.sun.jini.landlord.LandlordProxyVerifier

All Implemented Interfaces:
  Serializable, TrustVerifier

public final class LandlordProxyVerifier
extends Object
implements Serializable, TrustVerifier

This class defines a trust verifier for the proxies defined in the landlord package.

Since:
  2.0
See Also:
  `TrustVerifier`, Serialized Form

Nested Class Summary

Nested classes inherited from class net.jini.security.TrustVerifier
`TrustVerifier.Context`

Constructor Summary
`LandlordProxyVerifier(Landlord landlord, Uuid landlordUuid)` Returns a verifier for the proxies defined in the landlord package with the specified server reference and server `Uuid`.

Method Summary
`boolean` | `isTrustedObject(Object obj, TrustVerifier.Context ctx)` Returns `true` if the specified proxy object (that is not yet known to be trusted) is equivalent in trust, content, and function to the canonical server reference this object was constructed with; otherwise returns `false`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LandlordProxyVerifier

    public LandlordProxyVerifier(Landlord landlord,
                                 Uuid landlordUuid)

  Returns a verifier for the proxies defined in the landlord package with the specified server reference and server `Uuid`.

Parameters:
  `landlord` - the reference to the `Landlord` being used by the leases for communication back to the server.
  `landlordUuid` - a universally unique id that has been assigned to the server granting of the lease. Ideally the `Uuid` `landlord.getUuid` would return if `landlord` implemented `ReferentUuid`. Used to determine when two leases can be batched together.
Throws:
  `UnsupportedOperationException` - if `landlord` does not implement both `RemoteMethodControl` and `TrustEquivalence`
  `NullPointerException` - if either argument is `null`.

Method Detail

### isTrustedObject

    public boolean isTrustedObject(Object obj,
                                   TrustVerifier.Context ctx)
                            throws RemoteException

  Returns `true` if the specified proxy object (that is not yet known to be trusted) is equivalent in trust, content, and function to the canonical server reference this object was constructed with; otherwise returns `false`.

  Specified by:
    `isTrustedObject` in interface `TrustVerifier`
  Parameters:
    `obj` - proxy object that will be compared to this class's stored canonical proxy to determine whether or not the given proxy object is equivalent in trust, content, and function.
    `ctx` - the trust verifier context, to aid in verification of the specified object and its components
  Returns:
    `true` if the specified object (that is not yet known to be trusted) is equivalent in trust, content, and function to the canonical inner proxy object referenced in this class; otherwise returns `false`.
  Throws:
    `NullPointerException` - if any argument is `null`
    `RemoteException` - if a communication-related exception occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved